Bug 38103 - Core Edition: univention-management-console-module-udm adjustments
Core Edition: univention-management-console-module-udm adjustments
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: UMC - Domain management (Generic)
UCS 4.0
Other Linux
: P5 normal (vote)
: UCS 4.0-1-errata
Assigned To: Alexander Kläser
Stefan Gohmann
:
Depends on:
Blocks: 38096
  Show dependency treegraph
 
Reported: 2015-03-19 17:08 CET by Stefan Gohmann
Modified: 2015-04-21 09:27 CEST (History)
2 users (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Gohmann univentionstaff 2015-03-19 17:08:33 CET
The package needs to be adjusted. Instead of FFPU Univention Core Edition will be shown.
Comment 1 Florian Best univentionstaff 2015-03-20 09:38:11 CET
The license specific code is in module-udm, not in the UMC server core.

Maybe we should do Bug #33949 here, so that UCS@school also benefits from these changes.
Comment 2 Alexander Kläser univentionstaff 2015-04-07 19:35:59 CEST
As discussed, I removed the extra title pane in the license dialogue for the FFPU license. We may add additional links to the manual or the SDB article (for the FFPU license) at a later point. License import seems to be fine.

> r59625 | Bug #38103: fixed syntax error
> r59623 | Bug #38103: replace FFPU license with Univention Core License
> r59618 | Copy univention-management-console-module-udm from svn+ssh://billy.knut.univention.de/var/svn/dev/branches/ucs-4.0/ucs-4.0-1/management (Bug #38103)
Comment 3 Alexander Kläser univentionstaff 2015-04-08 08:29:44 CEST
r59630 | Bug #38101, Bug #38103: adjust wording
Comment 4 Alexander Kläser univentionstaff 2015-04-08 12:22:10 CEST
In the license dialogue, additional hints and links are shown (at the bottom of the dialogue) for the FFPU as well as the UCS Core license.

r59645 | Bug #38103: show additional hints + links for FFPU and UCS Core license
Comment 5 Alexander Kläser univentionstaff 2015-04-08 13:17:38 CEST
I also committed changes for Bug 38203 in the core-edition scope.

r59646 | Bug #38203: remove DVS and support entries from license informatio
Comment 6 Stefan Gohmann univentionstaff 2015-04-13 07:13:34 CEST
Code review: OK

Tests installation: OK 

Test update: OK
Comment 7 Alexander Kläser univentionstaff 2015-04-17 21:22:21 CEST
I transferred the commits into the 4.0-1 branch.

r59942 | Bug #38103: show additional hints + links for FFPU and UCS Core license
r59941 | Bug #38103: adjust wording
r59940 | Bug #38103: fixed syntax error
r59939 | Bug #38103: replace FFPU license with Univention Core License
Comment 8 Stefan Gohmann univentionstaff 2015-04-20 16:53:37 CEST
OK
Comment 9 Janek Walkenhorst univentionstaff 2015-04-21 09:20:49 CEST
<http://errata.univention.de/ucs/4.0/158.html>